public final class NaturalComparator implements Comparator {

    /** jedyna, publicznie dostępna instancja komparatora */
    public static final NaturalComparator INSTANCE = new NaturalComparator();

    /**
     * konstruktor prywatny, nie jest możliwe samodzielne tworzenie instancji
     */

    private NaturalComparator() {
    }



   public int compare(Object left, Object right) throws ClassCastException {
         assert left != null : "nie określono lewego obiektu ";
         assert right != null : "nie określono prawego obiektu ";
         return ((Comparable) left).compareTo(right);
     }




}
